Skip to main content
GET
/
api
/
v1
/
calls
List calls
curl --request GET \
  --url https://api.upon-ai.com/api/v1/calls \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "calls": [
    {
      "callId": "<string>",
      "callType": "<string>",
      "status": "<string>",
      "agentId": "<string>",
      "agentVersion": 123,
      "metadata": {},
      "optOutSensitiveDataStorage": true,
      "accessToken": "<string>",
      "expiresAt": "2023-11-07T05:31:56Z",
      "webCallUrl": "<string>",
      "uponai_dynamic_variables": {}
    }
  ],
  "pagination": {
    "page": 123,
    "limit": 123,
    "total": 123
  }
}

Documentation Index

Fetch the complete documentation index at: https://documentation.uponai.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Generate tokens from your profile settings at app.uponai.com.

Query Parameters

workspaceId
integer

Optional workspace identifier filter.

agentId
string

Filter call listings to a specific agent.

status
string

Filter calls by status.

fromDate
string<date-time>

Inclusive start date for call listing filter.

toDate
string<date-time>

Inclusive end date for call listing filter.

page
integer
default:1
Required range: x >= 1
limit
integer
default:20

Page size for list endpoints.

Required range: 1 <= x <= 100

Response

200 - application/json

Paginated call list.

success
boolean
required
calls
object[]
required
pagination
object